Skip to main content
GET
/
admin
/
api
/
v1
/
usage
/
user-paths
Get usage breakdown by user path
curl --request GET \
  --url https://gomodel.example.com/admin/api/v1/usage/user-paths \
  --header 'Authorization: <api-key>'
[
  {
    "input_cost": 123,
    "input_tokens": 123,
    "output_cost": 123,
    "output_tokens": 123,
    "total_cost": 123,
    "total_tokens": 123,
    "user_path": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Query Parameters

days
integer

Number of days (default 30)

start_date
string

Start date (YYYY-MM-DD)

end_date
string

End date (YYYY-MM-DD)

user_path
string

Filter by tracked user path subtree

cache_mode
string

Cache mode filter: uncached, cached, all (default uncached)

Response

OK

input_cost
number | null
input_tokens
integer
output_cost
number | null
output_tokens
integer
total_cost
number | null
total_tokens
integer
user_path
string